/*
 * WeinbusBufferCoil.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "WEINBUS/WeinbusBuffer.h"

#ifndef WEINBUS_WEINBUSBUFFERCOIL_H_
#define WEINBUS_WEINBUSBUFFERCOIL_H_


namespace WEINBUS
{

class WeinbusBufferCoil: public WEINBUS::WeinbusBuffer
{
public:
    WeinbusBufferCoil();
public:
    virtual void add(uint16_t offset, WEINBUS::weinbus_coil_t coil, uint16_t* param) = 0;
};

} /* namespace WEINBUS */

#endif /* WEINBUS_WEINBUSBUFFERCOIL_H_ */
