/*
 * WeinbusBufferRegister.h
 *
 *      Author: Aleksey Gerasimenko
 *      gerasimenko.aleksey.n@gmail.com
 */

#include "WEINBUS/WeinbusBuffer.h"
#include "WEINBUS/WeinbusTableRegister.h"

#ifndef WEINBUS_WEINBUSBUFFERREGISTER_H_
#define WEINBUS_WEINBUSBUFFERREGISTER_H_

namespace WEINBUS
{

class WeinbusBufferRegister: public WEINBUS::WeinbusBuffer
{
public:
    WeinbusBufferRegister();
    virtual void add(uint16_t offset, uint16_t   *param) = 0;
    virtual void add(uint16_t offset, int16_t    *param) = 0;
    virtual void add(uint16_t offset, uint32_t   *param) = 0;
    virtual void add(uint16_t offset, int32_t    *param) = 0;
    virtual void add(uint16_t offset, float      *param) = 0;
};

} /* namespace WEINBUS */

#endif /* WEINBUS_WEINBUSBUFFERREGISTER_H_ */
